<?php
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: GET");


require_once $_SERVER['DOCUMENT_ROOT'].'/jobfinder/src/config/Database.php';
require_once $_SERVER['DOCUMENT_ROOT'].'/jobfinder/src/data/Resume.php';



try{
    $database = new DataBase();
    $conn = $database->getConnection();
}catch(Exception $e){
    http_response_code(503);//service unavailable
    
}//end try connect to data base

$resume = new Resume($conn);


 
if(!isset($_GET['user_skills'])){
    http_response_code(400);//bad request
	echo json_encode(array("message" => "unable to find twitt. data is incomplete"));
    die();
}//end if data is incomplete


$resume->skills = htmlspecialchars(strip_tags($_GET['user_skills']));

$query_select ="SELECT * FROM resumes WHERE skills LIKE '%$resume->skills%'";

$result = $conn->query($query_select);



$results = $result->fetchAll(PDO::FETCH_ASSOC);


if($results==null){
    $emptySkill = array(
        array('emptyskill' => 'empty')
    );
    
    $json = json_encode($emptySkill);
    echo $json;

}else{
$jsonArray = json_encode($results);
echo $jsonArray;

}

?>