
<?php

header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");


require_once $_SERVER['DOCUMENT_ROOT'].'/jobfinder/src/config/Database.php';

require_once $_SERVER['DOCUMENT_ROOT'].'/jobfinder/src/data/Resume.php';





try{
    $database = new DataBase();
    $conn = $database->getConnection();
}catch(Exception $e){
    http_response_code(503);//service unavailable
    echo json_encode(array("message" => "unable to connect data base : ".$e->getMessage()));
    die();
}//end try connect to data base



$resume = new Resume($conn);

$data = json_decode(file_get_contents("php://input"));

$resume->phone = htmlspecialchars(strip_tags($data->user_phone));// get phone user for check already exist


if($resume->phoneExists()){

if(!empty($data->user_phone) &&
   !empty($data->first_name) &&
   !empty($data->last_name) &&
   !empty($data->user_city) ){

    $resume->firstName = htmlspecialchars(strip_tags($data->first_name));
    $resume->lastName = htmlspecialchars(strip_tags($data->last_name));
    $resume->province=htmlspecialchars(strip_tags($data->user_province));
    $resume->city= htmlspecialchars(strip_tags($data->user_city)); 
    $resume->phone=htmlspecialchars(strip_tags($data->user_phone));
    $resume->email=htmlspecialchars(strip_tags($data->user_email));
    $resume->gender=htmlspecialchars(strip_tags($data->user_gender));
    $resume->maritalState = htmlspecialchars(strip_tags($data->user_maritalState));
    $resume->dateOfBirth = htmlspecialchars(strip_tags($data->user_dateOfBirth));
    $resume->educationDegree = htmlspecialchars(strip_tags($data->user_educationDegree)); 
    $resume->workExperience=htmlspecialchars(strip_tags($data->user_workExperience));
    $resume->skills=htmlspecialchars(strip_tags($data->user_skills));
    $resume->requestForMany=htmlspecialchars(strip_tags($data->user_requestForMany));
    $resume->description=htmlspecialchars(strip_tags($data->user_description));
    
    $resume->address=htmlspecialchars(strip_tags($data->user_address));
    $resume->rubika=htmlspecialchars(strip_tags($data->user_rubika));
    $resume->telegram=htmlspecialchars(strip_tags($data->user_telegram));
    $resume->instagram=htmlspecialchars(strip_tags($data->user_instagram));

     

    if($resume->update()){
        echo "update successfully!";
    }else{
        echo "cant updated!!!!";
    }

   }
}else{

    http_response_code(400);//bad request
    echo json_encode(array("message"=>"update failed, phone is not already exist")); 
    die();
}//end check phone exists in database


?>