<?php
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");


require_once $_SERVER['DOCUMENT_ROOT'].'/jobfinder/src/config/Database.php';
require_once $_SERVER['DOCUMENT_ROOT'].'/jobfinder/src/data/User.php';

try{
    $database = new DataBase();
    $conn = $database->getConnection();
}catch(Exception $e){
    http_response_code(503);//service unavailable
    echo json_encode(array("message" => "unable to connect data base : ".$e->getMessage()));
    die();
}//end try connect to data base


$user = new User($conn);
$data = json_decode(file_get_contents("php://input"));

$user->phone = htmlspecialchars(strip_tags($data->user_phone));
    
    if($user->phoneExists()){
       
        echo "phoneExists";
    }else{
        echo " not phoneExists ";
    }


?>