<?php
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");


require_once $_SERVER['DOCUMENT_ROOT'].'/jobfinder/src/config/Database.php';
require_once $_SERVER['DOCUMENT_ROOT'].'/jobfinder/src/data/User.php';
require_once $_SERVER['DOCUMENT_ROOT'].'/jobfinder/src/data/Resume.php';


require_once $_SERVER['DOCUMENT_ROOT'].'/jobfinder/src/auth/validate.php';
require_once $_SERVER['DOCUMENT_ROOT'].'/jobfinder/src/config/core.php';
require_once $_SERVER['DOCUMENT_ROOT'].'/jobfinder/src/libs/php-jwt-master/src/BeforeValidException.php';
require_once $_SERVER['DOCUMENT_ROOT'].'/jobfinder/src/libs/php-jwt-master/src/ExpiredException.php';
require_once $_SERVER['DOCUMENT_ROOT'].'/jobfinder/src/libs/php-jwt-master/src/SignatureInvalidException.php';
require_once $_SERVER['DOCUMENT_ROOT'].'/jobfinder/src/libs/php-jwt-master/src/JWT.php';
use \Firebase\JWT\JWT;



try{
    $database = new DataBase();
    $conn = $database->getConnection();
}catch(Exception $e){
    http_response_code(503);//service unavailable
    echo json_encode(array("message" => "unable to connect data base : ".$e->getMessage()));
    die();
}//end try connect to data base






$resume = new Resume($conn);// connect to Resume class
$user = new User($conn); // connect to User calss
$data = json_decode(file_get_contents("php://input"));

if(!empty($data->user_phone) &&
   !empty($data->first_name) &&
   !empty($data->last_name) &&
   !empty($data->user_province) ){

    $user->phone = htmlspecialchars(strip_tags($data->user_phone));
    $user->firstName = htmlspecialchars(strip_tags($data->first_name));
    $user->lastName = htmlspecialchars(strip_tags($data->last_name));
    $user->province = htmlspecialchars(strip_tags($data->user_province));
     
     $userPic = htmlspecialchars(strip_tags($data->user_pic));



        
    // Generate a unique filename
    $picName = uniqid().'.jpg';
    
    // Save the image to the server
    file_put_contents("../../pictuers/".$picName, base64_decode($userPic));
    
    $user->pic =$picName;


$resume->phone =$user->phone;
    $resume->pic=$picName;
    if($resume->phoneExists()){
      if($resume->updateProfileImage()){
        
      }else{
         
      }

    }


    if($user->update()){
        
         // we need to re-generate jwt because user details might be different
    $token = array(
        "iss" => $iss,
        "aud" => $aud,
        "iat" => $iat,
        "nbf" => $nbf,
        "exp" => $exp,
        "data"=> array(
            "firstName" => $user->firstName,
            "lastName" => $user->lastName,
            "province" => $user->province,
            "phone" => $user->phone
        )
    );

    $jwt = JWT::encode($token, $key);
    http_response_code(200);//OK
  
      echo json_encode(array("jwt" => $jwt));
    
     
    }else{
        echo "0";
    }
    
    
    
   }
   

  
