<?php

header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");

// بارگذاری فایل‌های مورد نیاز
require_once $_SERVER['DOCUMENT_ROOT'].'/jobfinder/src/config/Database.php';
require_once $_SERVER['DOCUMENT_ROOT'].'/jobfinder/src/data/Resume.php';
require_once $_SERVER['DOCUMENT_ROOT'].'/jobfinder/src/data/User.php';

// بارگذاری کتابخانه JWT
require_once $_SERVER['DOCUMENT_ROOT'].'/jobfinder/src/libs/firebase-php-jwt-master/src/JWT.php';
require_once $_SERVER['DOCUMENT_ROOT'].'/jobfinder/src/libs/firebase-php-jwt-master/src/Key.php'; 
require_once $_SERVER['DOCUMENT_ROOT'].'/jobfinder/src/libs/firebase-php-jwt-master/src/BeforeValidException.php';
require_once $_SERVER['DOCUMENT_ROOT'].'/jobfinder/src/libs/firebase-php-jwt-master/src/ExpiredException.php';
require_once $_SERVER['DOCUMENT_ROOT'].'/jobfinder/src/libs/firebase-php-jwt-master/src/SignatureInvalidException.php';


// استفاده از نام‌فضاهای مورد نیاز
use \Firebase\JWT\JWT;
use \Firebase\JWT\Key;

$encodedString = "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c"; // JWT معتبر
$key = base64_decode("testing1234453656347nsmvfdbsrtgjnfsjhNJFDJFujragrg");

try {
    // رمزگشایی JWT
    $decoded = JWT::decode($encodedString, new Key($key, 'HS256'));

    // استفاده از داده‌های رمزگشایی شده
    echo json_encode($decoded);
    
    // اتصال به پایگاه داده
    // $database = new DataBase();
    // $conn = $database->getConnection();
    
} catch (Exception $e) {
    http_response_code(503); // Service Unavailable
    echo json_encode(array("message" => "Unable to decode JWT: ".$e->getMessage()));
    die();
}

// دریافت داده‌ها از ورودی
$data = json_decode(file_get_contents("php://input"));

// پاکسازی داده‌های ورودی
$phone = htmlspecialchars(strip_tags($data->user_phone));

// ادامه پردازش
?>
