<?php

class Resume{

    private $conn;
    private $table;
    public $pic;
    public $profilePicture;
    public $firstName;
    public $lastName;
    public $province;
    public $city;
    public $address;
    public $latitude;
    public $longitude;
    public $phone;
    public $email;
    public $gender;
    public $maritalState;
    public $dateOfBirth;
    public $educationDegree;
    public $workExperience;
    public $skills;
    public $similarWords;
    public $requestForMany;
    public $description;
    public $rubika;
    public $telegram;
    public $instagram;
    public $dateOfCreate;
    public $status;
    
    
 
  
    public function __construct($conn){
        $this->conn = $conn;
    }

 public function createResume($stmt){
     
		
       if($stmt->execute()) return true;


		return false;
     
 }
 
    public function create(){

$sql1 = "INSERT INTO resumes
(firstName,lastName,province,city,phone,email,gender,maritalState,dateOfBirth,educationDegree,workExperience,skills,requestForMany,description,pic,address,rubika,telegram,instagram,latitude,longitude,DateOfCreate)
VALUES
(:fn,:ln,:pr,:ci,:ph,:em,:ge,:ms,:da,:ed,:we,:sk,:rf,:des,:pi,:add,:ru,:telg,:insta,:lat,:lon,:datec)";

		$stmt = $this->conn->prepare($sql1);

        $stmt->bindParam(':fn', $this->firstName, PDO::PARAM_STR);
		$stmt->bindParam(':ln', $this->lastName, PDO::PARAM_STR);
        $stmt->bindParam(':pr', $this->province,PDO::PARAM_STR);
        $stmt->bindParam(':ci', $this->city,PDO::PARAM_STR);
        $stmt->bindParam(':ph', $this->phone,PDO::PARAM_STR);
        $stmt->bindParam(':em', $this->email,PDO::PARAM_STR);
        $stmt->bindParam(':ge', $this->gender,PDO::PARAM_STR);
        $stmt->bindParam(':ms', $this->maritalState,PDO::PARAM_STR);
        $stmt->bindParam(':da', $this->dateOfBirth,PDO::PARAM_STR);
        $stmt->bindParam(':ed', $this->educationDegree,PDO::PARAM_STR);
        $stmt->bindParam(':we', $this->workExperience,PDO::PARAM_STR);
        $stmt->bindParam(':sk', $this->skills,PDO::PARAM_STR);
        $stmt->bindParam(':rf', $this->requestForMany,PDO::PARAM_STR);
        $stmt->bindParam(':des', $this->description,PDO::PARAM_STR);
        $stmt->bindParam(':pi', $this->pic,PDO::PARAM_STR);
        $stmt->bindParam(':add', $this->address,PDO::PARAM_STR);
        $stmt->bindParam(':ru', $this->rubika,PDO::PARAM_STR);
        $stmt->bindParam(':telg', $this->telegram,PDO::PARAM_STR);
        $stmt->bindParam(':insta', $this->instagram,PDO::PARAM_STR);
         $stmt->bindParam(':lat', $this->latitude,PDO::PARAM_STR);
          $stmt->bindParam(':lon', $this->longitude,PDO::PARAM_STR);
          $stmt->bindParam(':datec', $this->dateOfCreate,PDO::PARAM_STR);


		
       if($stmt->execute()) return true;


		return false;
    }


    public function phoneExists(){
        
        $query = "SELECT * FROM resumes WHERE phone = ?";

        $stmt = $this->conn->prepare($query);
        $stmt->bindParam(1, $this->phone);
        $stmt->execute();
        $num = $stmt->rowCount();

        if($num > 0){ // Exists phone number --> $num = 1
           
            return true;
        }//end if num > 0
        return false; // Not exists phone number --> $num = 0 and return false this method
    }
    
    
 // Check if a phone number already exists
   public function phoneExists1($phoneNumber, $table = null) {
        $table = $table ?: $this->table;
        $sql = "SELECT * FROM $table WHERE phone = :ph";
        $stmt = $this->conn->prepare($sql);
        $stmt->bindParam(':ph', $phoneNumber, PDO::PARAM_STR);
        $stmt->execute();

        return $stmt->rowCount() > 0;
    }
    
    public function getAllImageFilenames() {
    $query = "SELECT profile_picture, achievement_photo_1, achievement_photo_2, achievement_photo_3 FROM person_resume";
    $stmt = $this->conn->prepare($query);
    $stmt->execute();
    $images = $stmt->fetchAll(PDO::FETCH_COLUMN);
    return array_filter($images); // Filter out empty values
}

    
     // Check if a phone number already exists
   public function resumeIdExists($id, $table = null) {
        $table = $table ?: $this->table;
        $sql = "SELECT * FROM $table WHERE resume_id = :id";
        $stmt = $this->conn->prepare($sql);
        $stmt->bindParam(':id', $id, PDO::PARAM_STR);
        $stmt->execute();

        return $stmt->rowCount() > 0;
    }
    
    public function filterResume(){
        
        $query = "SELECT * FROM resumes WHERE skills = ?";

        $stmt = $this->conn->prepare($query);
        $stmt->bindParam(1, $this->skills);
        $stmt->execute();
        $num = $stmt->rowCount();

        if($num > 0){
            $row = $stmt->fetch(PDO::FETCH_ASSOC);
            extract($row);

            $this->skills = $user_skills;
             $this->firstName = "dfvd";
          //  $this->createTime = $create_time;

            return true;
        }//end if num > 0
        return false;
    }


    public function update(){
      $query = "UPDATE resumes SET pic=:pi, firstName=:fn, lastName=:ln, province=:pr, city=:ci, phone=:ph, email=:em, gender=:ge, maritalState=:ms,
      dateOfBirth=:da,educationDegree=:ed, workExperience=:we, skills=:sk, requestForMany=:rf, description=:des,address=:add, rubika=:ru, telegram=:telg, instagram=:insta, latitude=:lat, longitude=:lon, DateOfCreate=:datec  WHERE phone=:ph" ;

        $stmt = $this->conn->prepare($query);
       
        $stmt->bindParam(':pi', $this->pic, PDO::PARAM_STR);

        $stmt->bindParam(':fn', $this->firstName, PDO::PARAM_STR);
		$stmt->bindParam(':ln', $this->lastName, PDO::PARAM_STR);
        $stmt->bindParam(':pr', $this->province,PDO::PARAM_STR);
        $stmt->bindParam(':ci', $this->city,PDO::PARAM_STR);
        $stmt->bindParam(':ph', $this->phone,PDO::PARAM_STR);
        $stmt->bindParam(':em', $this->email,PDO::PARAM_STR);
        $stmt->bindParam(':ge', $this->gender,PDO::PARAM_STR);
        $stmt->bindParam(':ms', $this->maritalState,PDO::PARAM_STR);
        $stmt->bindParam(':da', $this->dateOfBirth,PDO::PARAM_STR);
        $stmt->bindParam(':ed', $this->educationDegree,PDO::PARAM_STR);
        $stmt->bindParam(':we', $this->workExperience,PDO::PARAM_STR);
        $stmt->bindParam(':sk', $this->skills,PDO::PARAM_STR);
        $stmt->bindParam(':rf', $this->requestForMany,PDO::PARAM_STR);
        $stmt->bindParam(':des', $this->description,PDO::PARAM_STR);
        $stmt->bindParam(':add', $this->address,PDO::PARAM_STR);
        $stmt->bindParam(':ru', $this->rubika,PDO::PARAM_STR);
        $stmt->bindParam(':telg', $this->telegram,PDO::PARAM_STR);
        $stmt->bindParam(':insta', $this->instagram,PDO::PARAM_STR);
        $stmt->bindParam(':lat', $this->latitude,PDO::PARAM_STR);
        $stmt->bindParam(':lon', $this->longitude,PDO::PARAM_STR);
        $stmt->bindParam(':datec', $this->dateOfCreate,PDO::PARAM_STR);


        
        
        

        
        if($stmt->execute()) return true;
        
        return false;
    }


public function delete(){

    
 $sql = 'delete from resumes WHERE phone=:ph' ;
   
       $stmt = $this->conn->prepare($sql);
         
          
          $stmt->bindParam(':ph', $this->phone);
          
          if($stmt->execute()) return true;
          
          return false;
    
}

 public function updateProfileImage(){
        $query = "UPDATE resumes SET pic=:pi WHERE phone=:ph" ;
  
          $stmt = $this->conn->prepare($query);
         
          
          $stmt->bindParam(':ph', $this->phone, PDO::PARAM_STR);
          $stmt->bindParam(':pi', $this->pic, PDO::PARAM_STR);


          
          if($stmt->execute()) return true;
          
          return false;
      }
}
